package net.northking.cctp.element.desktop;

import net.northking.cctp.element.core.AbstractLibrary;
import net.northking.cctp.element.core.annotation.Library;
import net.northking.cctp.element.core.type.LibraryConstant;
import net.northking.cctp.element.util.Javadoc2Libdoc;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
 * <p>PC端操作组件库</p>
 * <p>用于操作PC/BS与PC/CS应用的组件库</p>
 *
 * @Author chenjianfeng
 * @Version V1.0
 * @Date 2022/10/14
 * <p>Copyright: NorthKing@RPA（C）2020 版权</p>
 */
@Library(scanBasePackage = "net.northking.cctp.element.desktop", infoClass = DesktopLibrary.class)
public class DesktopLibrary extends AbstractLibrary {

    private static final Logger logger = LoggerFactory.getLogger(DesktopLibrary.class);
    private static final Javadoc2Libdoc JAVA_DOC_2_LIB_DOC = new Javadoc2Libdoc(DesktopLibrary.class);
    private static final String NAME = "NK.Desktop";
    private static final String CH_NAME = "PC端操作组件库";
    private static final String VERSION = "1.79";
    private static final Integer TYPE = LibraryConstant.LIB_TYPE_PCBS;

    /**
     * 库名称
     *
     * @return
     */
    @Override
    public String getName() {
        return NAME;
    }

    /**
     * 库中文名称
     *
     * @return
     */
    @Override
    public String getChName() {
        return CH_NAME;
    }

    /**
     * 库当前版本
     *
     * @return
     */
    @Override
    public String getVersion() {
        return VERSION;
    }


    @Override
    public Javadoc2Libdoc getLibDoc() {
        return JAVA_DOC_2_LIB_DOC;
    }

    /**
     * 组件库类别
     *
     * @return
     */
    @Override
    public Integer getType() {
        return TYPE;
    }

    /**
     * destroy library instance resources
     */
    @Override
    public void destroy() {
        logger.info("destroy done.");
    }

}
